classification
Title: Doc errors for unittest in Python 3.1
Type: Stage: resolved
Components: Documentation Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, eric.araujo, ezio.melotti, michael.foord
Priority: normal Keywords: patch

Created on 2011-02-01 15:23 by michael.foord, last changed 2011-03-11 17:47 by ezio.melotti. This issue is now closed.

Messages (6)
msg127703 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2011-02-01 15:23
Looks like some unittest doc changes got incorrectly backported to Python 3.1.

For example the command line features using -m are new in 3.2 and don't work with 3.1:

http://docs.python.org/py3k/library/unittest.html#command-line-interface
msg127779 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2011-02-03 00:25
This incorrect section on unittest command line features was added by Eric according to svn blame.
msg127780 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-03 00:34
Patch to remove the section about command-line usage + other things new in 3.2.
msg128074 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-06 19:42
Hm, my patch removes too much.  The part that was mistakenly added by me is the command-line interface doc, but I also removed other parts for things noted with versionadded: 3.2.  Those indications are wrong: They were noted added in 2.7 before r79167 (Ezio).
msg128086 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-06 21:09
It looks like the doc snippets are actually new in 3.1, so we should not remove them but just fix the versionadded.

The change I wrongly added is the part about command-line use.  That can go.
msg130597 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-11 17:47
addCleanup/doCleanups/startTestRun/stopTestRun are in 3.1 too and now they are documented as new in 3.1. I also removed the versionchanged note for __iter__ (0f9e5042907c).

Test discovery, --failfast, --catch, --buffer are new in 3.2 and not documented on 3.1.

This seems to be fixed now so I'm closing it, if I missed something feel free to reopen it.
History
Date User Action Args
2011-03-11 17:47:28ezio.melottisetstatus: open -> closed
nosy: ezio.melotti, eric.araujo, michael.foord, docs@python
messages: + msg130597

assignee: michael.foord -> ezio.melotti
resolution: fixed
stage: resolved
2011-02-06 21:09:21eric.araujosetfiles: - fix-11090.diff
nosy: ezio.melotti, eric.araujo, michael.foord, docs@python
2011-02-06 21:09:15eric.araujosetnosy: ezio.melotti, eric.araujo, michael.foord, docs@python
messages: + msg128086
2011-02-06 19:42:28eric.araujosetnosy: + ezio.melotti
messages: + msg128074
2011-02-04 17:43:51eric.araujosetnosy: + docs@python
2011-02-03 00:34:33eric.araujosetfiles: + fix-11090.diff

messages: + msg127780
keywords: + patch
2011-02-03 00:25:22michael.foordsetnosy: + eric.araujo
messages: + msg127779
2011-02-01 15:23:42michael.foordcreate